%define version 3.10.2
%define betaver 0
%define rel 1
%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version-%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif

Name:           filezilla
Version:        %{version}
Release:        %{release}
Summary:        Fast and reliable FTP client
Group:          Networking/File transfer
License:        GPLv2+
URL:            http://filezilla-project.org/
Source0:        http://download.sourceforge.net/filezilla/FileZilla_%{tarballver}_src.tar.bz2
Patch0:		filezilla-3.10.2-wxWidgets-2.9.5.diff
BuildRequires:  wxgtku2.9-devel >= 2.9.5
BuildRequires:  idn-devel
BuildRequires:  gnutls-devel
BuildRequires:	dbus-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils xdg-utils
BuildRequires:  sqlite3-devel
Requires:	xdg-utils

%description
FileZilla is a fast and reliable FTP, FTPS and SFTP client with lots
of useful features and an intuitive graphical user interface.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/docs/fzdefaults.xml.example
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/filezilla.appdata.xml
%{_mandir}/man*/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{tarballver}
%patch0 -p1

%build
%configure2_5x --disable-autoupdatecheck --with-tinyxml=builtin
%make

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='GTK' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}


%changelog
* Wed Mar 04 2015 oden <oden> 3.10.2-1.mga4
+ Revision: 817631
- fool the autopoo wxWidgets-2.9.5 is enough, may not work forever...
- use putty-0.64 from FileZilla_3.10.2
- 3.10.2

* Sat Oct 19 2013 umeabot <umeabot> 3.7.3-2.mga4
+ Revision: 531687
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 oden <oden> 3.7.3-1.mga4
+ Revision: 464576
- 3.7.3 (fixes CVE-2013-4206, CVE-2013-4207, CVE-2013-4208)
- 3.7.2 (fixes CVE-2013-4852)

* Wed Aug 07 2013 dams <dams> 3.7.2-1.mga4
+ Revision: 464375
- new version 3.7.2

* Tue Aug 06 2013 oden <oden> 3.7.1.1-2.mga4
+ Revision: 464166
- P0: security fix for CVE-2013-4852

* Sat Jun 29 2013 fwang <fwang> 3.7.1.1-1.mga4
+ Revision: 448273
- new version 3.7.1.1

* Wed Jun 19 2013 dams <dams> 3.7.1-1.mga4
+ Revision: 445019
- new version 3.7.1

* Mon May 27 2013 dams <dams> 3.7.0.2-1.mga4
+ Revision: 428778
- new version 3.7.0.2

* Thu May 23 2013 dams <dams> 3.7.0.1-1.mga4
+ Revision: 424874
- new version 3.7.0.1

* Fri Jan 11 2013 umeabot <umeabot> 3.6.0.2-2.mga3
+ Revision: 350330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 dams <dams> 3.6.0.2-1.mga3
+ Revision: 323473
- new version 3.6.0.2
- update %%description

* Mon Nov 19 2012 dams <dams> 3.6.0.1-1.mga3
+ Revision: 319619
- new version 3.6.0.1

* Sun Nov 11 2012 neoclust <neoclust> 3.6.0-1.mga3
+ Revision: 316906
- New version 3.6.0 Final

* Mon Nov 05 2012 dams <dams> 3.6.0-0.rc1.1.mga3
+ Revision: 314467
- new version 3.6.0-rc1

* Mon Oct 29 2012 dams <dams> 3.6.0-0.beta1.1.mga3
+ Revision: 311481
- new version 3.6.0 beta1
- clean specfile

* Mon Jan 09 2012 dams <dams> 3.5.3-1.mga2
+ Revision: 193994
- remove patch as fix is now merged upstream (ticket #7742)
- update BR for wxgtku2.8-devel to 2.8.12
- new version 3.5.3
- clean specfile

* Wed Nov 09 2011 dams <dams> 3.5.2-1.mga2
+ Revision: 165921
- Add upstream patch (ticket #7742) to fix build with gnutls >= 3
- new version 3.5.2

* Mon Aug 29 2011 dams <dams> 3.5.1-1.mga2
+ Revision: 136100
- Update to 3.5.1

  + fwang <fwang>
    - rebuild for new gnutls

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon May 23 2011 dams <dams> 3.5.0-1.mga1
+ Revision: 100235
- Update to 3.5.0

* Fri May 20 2011 boklm <boklm> 3.5.0-0.rc2.2.mga1
+ Revision: 99935
- rebuild as it was incorrectly uploaded

* Wed May 18 2011 dams <dams> 3.5.0-0.rc2.1.mga1
+ Revision: 99645
- New version 3.5.0 rc2

* Tue Mar 29 2011 dams <dams> 3.4.0-1.mga1
+ Revision: 78643
- Update to 3.4.0 final

  + dmorgan <dmorgan>
    - Add a debug to understand the build failure

* Wed Mar 23 2011 dams <dams> 3.4.0-0.rc1.1.mga1
+ Revision: 75892
- Remove gtk+2-devel as buildrequires as already taken by wxgtk
- Fix gtk+2-devel buildrequires
- Add gtk+2.0-devel as buildrequires
- New version 3.4.0 rc1

* Sun Jan 16 2011 ahmad <ahmad> 3.3.5.1-1.mga1
+ Revision: 19954
- add xdg-utils, configure checks if it's available
- drop old/unneeded scriptlets

  + kharec <kharec>
    - imported package filezilla

